### Android Dev Stuff v1.9.1

***apk v1.9.1  available in app directory.***

WebSite
[http://landenlabs.com/android/devstuff/index.html](http://landenlabs.com/android/devstuff/index.html)

![DevStuff](http://landenlabs.com//android/devstuff/dev_stuff.png)

Dev Stuff is a general purpose developer tool to display resources and assets
available to Android developers.  
The app contains the following pages:

>   1. Build \- List of build class data members

>   2. Clock \- Current and GMT time (optional Alarm)

>   3. System \- List of system values (memory, network, gps, opengl)

>   4. Console \- Monitor system memory and network

>   5. Sensor \- Graph several sensors (WiFi, Audio, Battery, Freemem)

>   6. Packages \- List installed, defaults, cached, and libraries

>   7. Text \- Display of sample text using available Fonts, Styles and Poinst
size.  
Click on text row to get detailed display showing pixel height for 10 rows.

>   8. Theme \- Selectable Theme previewer

>   9. Screen \- Screen pixel and DP size and aspect information. Draw and
display touch coordinates.

>   10. Icon Drawable \- List of android.R.drawable.* image assets  
Click on image to get detailed image viewer.

>   11. Icon Attr \- List of android.R.attr.* image assets.  
Click on image to get detailed image viewer.

>   12. Misc Attr \- List of non-Image android.R.attr.* assets.

***
System page - shows system state and available services:
***
![System1](http://landenlabs.com//android/devstuff/system1.jpg)

![System2](http://landenlabs.com//android/devstuff/system2a.jpg)
 
 
***
Text Page - shows default fonts and sample sizes:

![Text](http://landenlabs.com//android/devstuff/text.jpg)

***
Text details page - shows pixels required to render 10 rows:
***
![textdetail1](http://landenlabs.com//android/devstuff/text-detail1.jpg)

***
Sensor page - reall time graph of values returned from sensor:
***
![sensor](http://landenlabs.com//android/devstuff/sensor.jpg)

***
Screen page - shows screen size in pixels ([x) and density independent pixels (dp or dip):
***
![screen Landscape](http://landenlabs.com//android/devstuff/screen-landscape.jpg)

***
Screen page - also allows you to draw to verify glass touch is working:
***
![screen Portrait](http://landenlabs.com//android/devstuff/screen-portrait.jpg)

***
Theme page - show sample of some themes:
***
![Themes](http://landenlabs.com//android/devstuff/theme-menu.jpg)

***
Package page - view installed pages:
***
![User Packages](http://landenlabs.com//android/devstuff/package-user.jpg)

![Installed Libraries](http://landenlabs.com//android/devstuff/package-libs.jpg)

![Package directories](http://landenlabs.com//android/devstuff/package-cache.jpg)

![Package actions1](http://landenlabs.com//android/devstuff/package-pref.jpg)
![Package actions2](http://landenlabs.com//android/devstuff/package-pref2.jpg)
![Package actions3](http://landenlabs.com//android/devstuff/package-pref3.jpg)

***
Icon pages - show available icons which are part of install OS:
***
![icon attributes](http://landenlabs.com//android/devstuff/iconattr1.jpg)

![icon attr detail view](http://landenlabs.com//android/devstuff/iconattr-detail.jpg)

![icons](http://landenlabs.com//android/devstuff/icondraw1.jpg)

![icons detail view](http://landenlabs.com//android/devstuff/icondraw-detail.jpg)

***
![Misc Attributes](http://landenlabs.com//android/devstuff/miscattr.jpg)
